STRUCT TEMPLATE R(3)

NAME
boost::proto::expr::result

SYNOPSIS

// In header: <boost/proto/expr.hpp>
template<typename Signature>
struct result {
  // types
  typedef unspecified type;
};

DESCRIPTION

Encodes the return type of proto::expr<>::operator(). Makes proto::expr<> a TR1-style function object type usable with boost::result_of<>